cURL
curl -X GET "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status" \
-H "X-Api-Key: pkz_yourapikey"import requests
url = "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status"
headers = {
"X-Api-Key": "pkz_yourapikey",
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status";
const options = {
method: "GET",
headers: {
"X-Api-Key": "pkz_yourapikey",
},
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pikzels.com/v2/requests/{request_id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pikzels.com/v2/requests/{request_id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pikzels.com/v2/requests/{request_id}/status")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pikzels.com/v2/requests/{request_id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"request_id": "18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234",
"status": "COMPLETED",
"status_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status",
"response_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234"
}{
"request_id": "18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234",
"status": "IN_PROGRESS",
"status_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status",
"response_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
},
"request_id": "7b9e2f6d-2b5f-4d79-8d6c-4a9c6e2b7890"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}Requests
Get request status
Check if an async request is still running or done.
GET
/
v2
/
requests
/
{request_id}
/
status
cURL
curl -X GET "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status" \
-H "X-Api-Key: pkz_yourapikey"import requests
url = "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status"
headers = {
"X-Api-Key": "pkz_yourapikey",
}
response = requests.get(url, headers=headers)
print(response.json())const url = "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status";
const options = {
method: "GET",
headers: {
"X-Api-Key": "pkz_yourapikey",
},
};
const response = await fetch(url, options);
const data = await response.json();
console.log(data);<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pikzels.com/v2/requests/{request_id}/status",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.pikzels.com/v2/requests/{request_id}/status"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.pikzels.com/v2/requests/{request_id}/status")
.header("X-Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pikzels.com/v2/requests/{request_id}/status")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"request_id": "18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234",
"status": "COMPLETED",
"status_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status",
"response_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234"
}{
"request_id": "18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234",
"status": "IN_PROGRESS",
"status_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234/status",
"response_url": "https://api.pikzels.com/v2/requests/18b2ad5e-2a9e-4d3f-b9a8-9f2a1e0b1234"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "NOT_FOUND",
"message": "The requested resource was not found."
},
"request_id": "7b9e2f6d-2b5f-4d79-8d6c-4a9c6e2b7890"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>"
},
"request_id": "<string>"
}Authorizations
Your Pikzels API key (prefix: pkz_)
Path Parameters
The request_id a POST request returned (in its body or the X-Request-Id header)
Response
Success
Where the result is: GET /v2/requests/:request_id
Pattern:
^https://\S+$IN_QUEUE: waiting to start (HTTP 202). IN_PROGRESS: generating (HTTP 202). COMPLETED: done, successfully or not (HTTP 200) Allowed values: "IN_QUEUE", "IN_PROGRESS", "COMPLETED".
Available options:
IN_QUEUE, IN_PROGRESS, COMPLETED This endpoint for the request
Pattern:
^https://\S+$Only when the request failed: { code, message }, the error the request returns without async
⌘I
